#!/usr/bin/env Rscript

# "flip" pLDDT scores in B-factor column of alphafold2 output for downstream use
# tested w\ sbgrid R_X=4.0.2

# input model
ifn<-'m0.pdb'

# output model
ofn<-'m0flip2.pdb'

library(bio3d)

m0 <- read.pdb(ifn)
mx_plddt <- 100 # assuming pLLDT ranges from 0 to 100

b_f <- mx_plddt - m0$atom$b
m0$atom$b <- b_f

write.pdb(m0, file=ofn)

