#!/usr/bin/env bash

inseq=4YTK.fasta
outdir=AF2_4tyk

#ACCRE
module load GCC/10.2.0 Intel/2020.4.304 CUDA/11.1.1
dpath=/csbtmp/alphafold-data/

#workstation
#dpath=/programs/local/alphafold/

source /programs/sbgrid.shrc

export ALPHAFOLD_X=2.2.0

echo "alphafold : $ALPHAFOLD_X"
echo "ptxas:"
ptxas --version
which ptxas

nvidia-smi

if [ ! -d "${outdir}" ] ; then
	mkdir $outdir
fi

echo "starting `date`"

run_alphafold.py --sbwhich

run_alphafold.py --data_dir=${dpath} \
--output_dir=${outdir} \
--fasta_paths=${inseq} \
--max_template_date=2020-05-14 \
--db_preset=full_dbs \
--bfd_database_path=${dpath}/bfd/bfd_metaclust_clu_complete_id30_c90_final_seq.sorted_opt \
--uniclust30_database_path=${dpath}/uniclust30/uniclust30_2018_08/uniclust30_2018_08 \
--uniref90_database_path=${dpath}/uniref90/uniref90.fasta \
--mgnify_database_path=${dpath}/mgnify/mgy_clusters.fa \
--template_mmcif_dir=${dpath}/pdb_mmcif/mmcif_files \
--obsolete_pdbs_path=${dpath}/pdb_mmcif/obsolete.dat \
--use_gpu_relax=True \
--model_preset=monomer \
--pdb70_database_path=${dpath}/pdb70/pdb70 2> ${outdir}.err

echo "done `date`"

